$onecho > NRTLidealID.txt
ID1 1921
ID2 1102
$offecho
$onecho > NRTLidealaij.txt
a12 1241.7396
a21 -57.9601
$offecho
$onecho > NRTLidealalphaij.txt
alpha12 0.2937
$offecho

$funclibin NRTLideal NRTLideal.dll
function f1l  /NRTLideal.f1_liq /;
function f2l  /NRTLideal.f2_liq /;
function f1v  /NRTLideal.f1_vap /;
function f2v  /NRTLideal.f2_vap /;

sets
i compounds /water,ethanol/
;
Parameter
P presuure [bar] /1.01325/
;
variable
T    temperature [K]
x(i) liquid molar fraction
y(i) vapor molar fraction
;
equation
eq1,eq2 phase equilibrium equations
eq3,eq4 summatory of the component molar fractions
;
eq1.. f1l(T,P,x('water'),x('ethanol')) =e= f1v(T,P,y('water'),y('ethanol'));
eq2.. f2l(T,P,x('water'),x('ethanol')) =e= f2v(T,P,y('water'),y('ethanol'));
eq3.. sum(i,y(i)) =e= 1;
eq4.. sum(i,x(i)) =e= 1;

y.lo(i)=0;
y.up(i)=1;
x.lo(i)=0;
x.up(i)=1;

y.l(i)=0.5;
x.l(i)=0.5;

T.l=350;

model azeotrope /all/;
solve azeotrope using nlp minimizing T;


